#
# spec file for package gftp (Version 2.0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake glib glib-devel gnome-core gnome-core-devel gtk gtk-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gftp
Copyright:    GPL
Group:        X11/Applications
Provides:     gftp 
Autoreqprov:  on
Summary:      A multithreaded FTP client for X11
Version:      2.0.8
Release:      140
Source0:      gftp-2.0.8.tar.bz2

%description
FTP is a multithreaded FTP client for X11 written
using Gtk. It has some of the following features:
simultaneous downloads, resuming of interrupted file
transfers, file transfer queues, downloading of entire
directories, ftp proxy support, remote directory caching,
passive and non-passive file transfers, drag-n-drop support,
a very nice connection manager and many more features.

Authors:
--------
    Brian Masney <masneyb@newwave.net>

SuSE series: gnm

%prep
%setup

%build
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/gnome \
  
touch ./intl/Makefile.in --reference=./aclocal.m4
make

%install
make install
rm -f /usr/info/dir.bak.gz

%files
%doc COPYING
%doc README
%doc THANKS
%doc TODO
%doc ABOUT-NLS
/opt/gnome/share/gftp
/opt/gnome/bin/gftp
/opt/gnome/bin/gftp-gtk
/opt/gnome/bin/gftp-text
/opt/gnome/man/man1/gftp.1.gz
/opt/gnome/share/gnome/apps/Internet/gftp.desktop
/opt/gnome/share/locale/*/LC_MESSAGES/gftp.mo
/opt/gnome/share/pixmaps/gftp.png

%changelog -n gftp
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 26 2001 - uli@suse.de
- update -> 2.0.8 (secfix)
* Thu Mar 08 2001 - uli@suse.de
- fixed filelist
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Mon Sep 04 2000 - hhetter@suse.de
- removed requires : gncore
- added neededforbuild: gncore
* Fri Sep 01 2000 - hhetter@suse.de
- set %%prefix in specfile to /opt/gnome
- update to version 2.0.7b
- added requires : gncore
* Mon Jun 05 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Tue Dec 14 1999 - uli@suse.de
- New version 2.0.6
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jul 08 1999 - uli@suse.de
- New version 2.0.3
* Thu Jun 24 1999 - uli@suse.de
- Spec file created from gftp-2.0.1.tar.gz by autospec
